package com.ruoyi.project.pssr.mapper;

import java.util.List;
import com.ruoyi.framework.aspectj.lang.annotation.DataScope;
import com.ruoyi.project.pssr.domain.TPssrGasdetector;

/**
 * 气体检测器Mapper接口
 *
 * @author ssy
 * @date 2024-09-18
 */
public interface TPssrGasdetectorMapper
{
    /**
     * 查询气体检测器
     *
     * @param id 气体检测器ID
     * @return 气体检测器
     */
    public TPssrGasdetector selectTPssrGasdetectorById(Long id);
    public int selectNoConfirmCount(Long subId);

    /**
     * 查询气体检测器列表
     *
     * @param tPssrGasdetector 气体检测器
     * @return 气体检测器集合
     */
    
    public List<TPssrGasdetector> selectTPssrGasdetectorList(TPssrGasdetector tPssrGasdetector);

    /**
     * 新增气体检测器
     *
     * @param tPssrGasdetector 气体检测器
     * @return 结果
     */
    public int insertTPssrGasdetector(TPssrGasdetector tPssrGasdetector);

    /**
     * 修改气体检测器
     *
     * @param tPssrGasdetector 气体检测器
     * @return 结果
     */
    public int updateTPssrGasdetector(TPssrGasdetector tPssrGasdetector);

    public int updateTPssrGasdetectorByIds(TPssrGasdetector tPssrGasdetector);

    /**
     * 删除气体检测器
     *
     * @param id 气体检测器ID
     * @return 结果
     */
    public int deleteTPssrGasdetectorById(Long id);

    /**
     * 批量删除气体检测器
     *
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteTPssrGasdetectorByIds(Long[] ids);
}
